Name: fritzing
Version: 0.9.2
Release: %mkrel -c beta20150403 8
Summary: Electronic Design Automation software; from prototype to product
License: GPLv3+, CC-BY-SA
Group: Sciences/Other
Url: http://fritzing.org
Source0: https://github.com/fritzing/fritzing-app/archive/%{name}-app-%{version}b.tar.gz
Source2: https://github.com/fritzing/fritzing-parts/archive/%{name}-parts-%{version}b.tar.gz
Patch0: fritzing-disable-autoupdate.patch
Patch1: fritzing-quazip5.patch

BuildRequires:  qt5-devel
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  desktop-file-utils
BuildRequires:  boost-devel
BuildRequires:  quazip-devel
BuildRequires:  pkgconfig(minizip)

%description
Fritzing is an open-source initiative to support designers, artists,
researchers and hobbyists to take the step from physical prototyping
to actual product. It is in the spirit of Processing and Arduino which
allows users to document their Arduino and other electronic-based
prototypes, and to create a PCB layout for manufacturing.

%prep
%setup -q -n %{name}-app-%{version}b
tar -xf %{SOURCE2}
cp -af %{name}-parts-%{version}b/* parts/
# https://github.com/fritzing/fritzing-parts/issues/19
rm -f parts/part-gen-scripts/obsolete/fp2fzfp/svggen.py
rm -f pri/quazip.pri
rm -rf src/lib/quazip
%patch0 -p1 -b .disable-updates
%patch1 -p1 -b .quazip5

%build
CXXFLAGS="%{optflags}"
%qmake_qt5 DEFINES=QUAZIP_INSTALLED
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

# Icon is dumped in /usr/share/icons by default, need to move it.
mv %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps

desktop-file-install --dir=%{buildroot}%{_datadir}/applications fritzing.desktop

ln -s %{_bindir}/Fritzing %{buildroot}%{_bindir}/%{name}
cp -f %{buildroot}%{_mandir}/man1/Fritzing.1 %{buildroot}%{_mandir}/man1/fritzing.1

%files
%doc readme.md LICENSE.GPL2 LICENSE.GPL3 LICENSE.CC-BY-SA
%{_bindir}/Fritzing
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man?/*


%changelog
* Mon May 09 2016 luigiwalser <luigiwalser> 0.9.2-0.beta20150403.8.mga6
+ Revision: 1011760
- add patch from fedora to fix build with quazip
- use upstream .desktop file
- rebuild for quazip

* Sun Feb 14 2016 umeabot <umeabot> 0.9.2-0.beta20150403.7.mga6
+ Revision: 960196
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 alexl <alexl> 0.9.2-0.beta20150403.6.mga6
+ Revision: 849903
- enable external quazip (thanks to anaselli for fix)

* Fri Jul 03 2015 alexl <alexl> 0.9.2-0.beta20150403.5.mga6
+ Revision: 849760
- version 0.9.2b
- switch to qt5
- disable external quazip because of segfaults with open/save
- add additional fritzing man page
- update disable-autoupdate.patch

* Tue Jan 06 2015 alexl <alexl> 0.8.7-0.beta20140124.4.mga5
+ Revision: 808817
- changed GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.8.7-0.beta20140124.3.mga5
+ Revision: 749053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.7-0.beta20140124.2.mga5
+ Revision: 679360
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 0.8.7-0.beta20140124.1.mga5
+ Revision: 613998
- imported package fritzing

